### Method

# Vips Source length

#### Declaration [src]

    gint64
    vips_source_length (
      VipsSource* source
    )

#### Description [src]

Return the length in bytes of the source. Unseekable sources, for example pipes, will have to be read entirely into memory before the length can be found, so this operation can take a long time.

#### Return value

Type: `gint64`

Number of bytes in source, or -1 on error.